Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp
Interface FTPFileListParser

All Known Implementing Classes:
  DefaultFTPFileListParser

public interface FTPFileListParser

FTPFileListParser defines the interface for parsing FTP file listings and converting that information into an array of FTPFile instances. Sometimes you will want to parse unusual listing formats, in which case you would create your own implementation of FTPFileListParser and if necessary, subclass FTPFile.

Author:
  Daniel F. Savarese
See Also:
  `FTPFile`, `FTPClient.listFiles(org.apache.commons.net.ftp.FTPFileListParser, java.lang.String)`

Method Summary
`FTPFile[]` | `parseFileList(java.io.InputStream listStream)` Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances.

Method Detail

### parseFileList

    public FTPFile[] parseFileList(java.io.InputStream listStream)
                            throws java.io.IOException

  Parses an FTP server file listing and converts it into a usable format in the form of an array of `FTPFile` instances. If the file list contains no files, `null` should be returned, otherwise an array of `FTPFile` instances representing the files in the directory is returned.

  Parameters:
    `listStream` - The InputStream from which the file list should be read.
  Returns:
    The list of file information contained in the given path. null if the list could not be obtained or if there are no files in the directory.
  Throws:
    `java.io.IOException` - If an I/O error occurs reading the listStream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.